Kerbal Space Program - Bug #22706

CB Shadowing option doesn’t seem to work at all
05/31/2019 04:52 PM - severedsolo

Status: Not Fixed Start date: 05/31/2019
Severity: Low % Done: 50%
Assignee:

Category: Camera

Target version: 1.7.3

Version: 1.71 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game

Description

With CB shadowing turned on, there are zero shadows from other CBs at all. Confirmed by at least two users (myself and
Poodmund).

Reproduction Steps:

Turn on CB Shadowing Option

New Save

Use Set Orbit Cheat to put a vessel around Duna.

Timewarp until Ike is eclipsing the sun.

Zero shadows anywhere (on vessel, surface of Duna etc, it's like the option is turned off)

Have put Linux for now, because | don't know what OS Poodmund was using. | will update this when | have this information

History

#1 - 05/31/2019 04:53 PM - severedsolo
- Platform Windows added

Update: Lupi has tested this with DX9 and Windows and not working there either.

#2 - 05/31/2019 05:33 PM - Poodmund
- File output_log.txt added
- File KSP.log added

severedsolo wrote:
Update: Lupi has tested this with DX9 and Windows and not working there either.
This is not working for me either, see:

https://forum.kerbalspaceprogram.com/index.php?/topic/184279-kerbal-space-program-breaks-ground-with-a-new-dlc/&do=findComment&comment=
3608237

https://i.imgur.com/xZywTeV.png

https://i.imgur.com/vGbIHNI.png

https://i.imgur.com/yJxypfV.png

Tested similar situations with Kerbin/Mun and Jool/Laythe and didn't experience any eclipse shadowing there either.

Logs posted but for reference here, Windows 10, DX9.

#3 - 06/12/2019 05:35 PM - Poodmund
- Status changed from New to Confirmed

- % Done changed from 0 to 10
#4 - 07/11/2019 08:52 PM - chris.fulton
- Status changed from Confirmed to Ready to Test
- Target version set to 1.7.3

- % Done changed from 10 to 80

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.3.25947?

#5 - 07/12/2019 05:37 PM - severedsolo

- File KSP.log added

- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Tested in a clean stock 1.7.3 and still no dice. New KSP log attached

Files

screenshot1.png 360 KB 05/31/2019 severedsolo
KSP.log 419 KB 07/12/2019 severedsolo
